using System;
using System.Drawing;
using System.Windows.Forms;

namespace _12_8
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public static void Compare(Bitmap image1, Bitmap image2)
        {
            if (image1.Width == image2.Width &&
                image1.Height == image2.Height)
            {
                for (int i = 0; i < image1.Width; i++)
                {
                    for (int j = 0; j < image1.Height; j++)
                    {
                        if (image1.GetPixel(i, j) !=
                            image2.GetPixel(i, j))
                        {
                            MessageBox.Show("دو تصویر با هم برابر نمی‌باشند");
                            return;
                        }
                    }
                }
                MessageBox.Show("دو تصویر با هم هیچ تفاوتی ندارند");
            }
            else
            {
                MessageBox.Show("دو تصویر به یک اندازه نیستند");
            }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Compare((Bitmap)pictureBox1.Image, (Bitmap)pictureBox2.Image);
        }
    }
}